verity {
  lib-indy {

    ledger {
      transaction_author_agreement = {
        enabled = true
        enabled = ${?LIB_INDY_LEDGER_TAA_ENABLED}  //environment variable if set, override above value

        # auto-accept is strictly used for testing and should not be documented as a production feature
        auto-accept = true
        auto-accept = ${?LIB_INDY_LEDGER_TAA_AUTO_ACCEPT}  //environment variable if set, override above value
      }

      # ledger pool transaction file location
      genesis-txn-file-location = ${?GENESIS_TXN_FILE_LOCATION}  //environment variable if set, override above value
    }

    wallet {
      # this value is provided to libindy's create wallet api by which it knows which type of wallet we want to use
      # for now, it only supports "default" and "mysql"
      type = "mysql"
    }
  }
}
